メインコンテンツへ
BlueAI
ホーム/Sign(電子署名)/監査ログ

監査ログ(Audit Logs)

契約書に対する操作履歴(送信・閲覧・署名等)を取得します。

|

エンドポイント

GET/api/v1/sign/documents/{id}/audit-logs監査ログ一覧を取得
GET/api/v1/sign/audit-logs監査ログを取得
GET/api/v1/sign/documents/{id}/audit-logs

監査ログ一覧を取得

認証が必要ですセッション Cookie または Bearer トークンを含めてください

パスパラメータ

名前必須説明
id
string任意契約書 ID

クエリパラメータ

名前必須説明
action
string任意アクションで絞り込み(create / update / delete)
limit
integer任意取得件数(デフォルト: 50, 最大: 200)
offset
integer任意スキップ件数

レスポンスフィールド

名前必須説明
items
AuditLog[]任意監査ログ一覧
total
integer任意総件数
limit
integer任意取得件数
offset
integer任意スキップ件数

コード例

curl "https://api.blueai.jp/api/v1/sign/documents/doc_123e4567e89b12d3a456426614174000/audit-logs" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/sign/audit-logs

監査ログを取得

Sign ドメイン全体の監査ログを取得します。

認証が必要ですセッション Cookie または Bearer トークンを含めてください

クエリパラメータ

名前必須説明
entity_type
string任意エンティティ種別で絞り込み
entity_id
string任意エンティティ ID で絞り込み
action
string任意アクションで絞り込み(create / update / delete)
limit
integer任意取得件数(デフォルト: 50, 最大: 200)
offset
integer任意スキップ件数

レスポンスフィールド

名前必須説明
items
AuditLog[]任意監査ログ一覧
total
integer任意総件数
limit
integer任意取得件数
offset
integer任意スキップ件数

コード例

curl "https://api.blueai.jp/api/v1/sign/audit-logs" \
  -H "Cookie: better-auth.session_token=<token>"